local discovery algorithms {bnlearn} | R Documentation

## Local discovery structure learning algorithms

### Description

ARACNE and Chow-Liu learn simple graphs structures from data using pairwise mutual information coefficients.

### Usage

    aracne(x, whitelist = NULL, blacklist = NULL, mi = NULL, debug = FALSE)
    chow.liu(x, whitelist = NULL, blacklist = NULL, mi = NULL, debug = FALSE)

### Arguments

`x` | a data frame containing the variables in the model.
`whitelist` | a data frame with two columns (optionally labeled "from" and "to"), containing a set of arcs to be included in the graph.
`blacklist` | a data frame with two columns (optionally labeled "from" and "to"), containing a set of arcs not to be included in the graph.
`mi` | a character string, the estimator used for the pairwise (i.e. unconditional) mutual information coefficients in the ARACNE and Chow-Liu algorithms. Possible values are `mi` (discrete mutual information) and `mi-g` (Gaussian mutual information).
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent.

### Value

An object of class `bn`. See `bn-class` for details.

### Author(s)

Marco Scutari

### See Also

constraint-based algorithms, score-based algorithms, hybrid algorithms.

[Package bnlearn version 4.7.1 Index]